Subject: [manet] Fwd: tx power in wireless

From: Marco <[email-masked]>
Date: Thu, 27 Jan 2005 10:52:09 +0100

----------  Messaggio inoltrato  ----------

Subject: tx power in wireless
Date: 11:17, mercoledì 26 gennaio 2005
From: Marco <[email-masked]>
To: [email-masked]

Hy!
I have make a power control routine in C++, which set the txPower and the
rxPower depending on distance (I'm using energy model) between two nodes.
I don't understand how make this changing effective in the tcl script.....
I use the strings:

Tcl& tcl = Tcl::instance();
tcl.evalf("$node_(%d) set txPower %f",tnode->nodeid(),pot);

but never change.... Why?
Thanks in advance, Marco

-------------------------------------------------------

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet